Subject: [bug#39570] go: update to 1.13

From: Leo Famulari <[email-masked]>
Date: Wed, 12 Feb 2020 16:43:02 -0500

On Tue, Feb 11, 2020 at 02:45:27PM -0500, Jack Hill wrote:
> I believe that in Go 1.13, the upstream issued that lead to excessive
> references being maintained in go programs [2] has been fixed, but I did not
> undo our workaround.

I wonder, should it be a goal to undo it?  It's not idiomatic for Guix,
but it is for Go. I had stopped thinking of it as a workaround.

> With 1.13 the behavior of `go get` changed to download packages from
> Google's mirror at proxy.golang.org by default [3] as opposed to directly
> from upstream. This is configurable by users, and I don't think it is a FSDG
> issue (if it is, I think it would be on privacy grounds), but we could
> change the default behavior if needed.

I don't see any issues here.